%define po_package gnome-desktop-2.0

Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gnome-desktop
Version:	2.22.1
Release:	2
Summary:	Package containing code shared among gnome-panel, gnome-session, nautilus, etc
License:	GPL 
URL: 		http://www.gnome.org
Group:		Graphical Desktop/GNOME/Base
Source0: 	ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/gnome-desktop/%{name}-%{version}.tar.bz2
Patch1:   	gnome-desktop-2.1.90-kdetheme.patch
Patch2:   	add-randr-12.patch
Patch4:   	multires.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires: 	startup-notification
BuildRequires: 	glib-devel
BuildRequires: 	pango-devel
BuildRequires: 	gtk2+-devel
BuildRequires: 	GConf-devel
BuildRequires: 	gnome-vfs-devel
BuildRequires: 	libgnomeui-devel
BuildRequires: 	libgnome-devel
BuildRequires: 	startup-notification-devel
BuildRequires: 	gnome-doc-utils
BuildRequires: 	scrollkeeper gettext
BuildRequires: 	perl-XML-Parser

PreReq: GConf
PreReq: /usr/bin/gconftool-2

%description
The gnome-desktop package contains an internal library
(libgnomedesktop) used to implement some portions of the GNOME
desktop, and also some data files and other shared components of the
GNOME user environment.

%package devel
Summary: 	Libraries and headers for libgnome-desktop
Group: 		Development/Libraries
Requires: 	%name = %{version}-%{release}

Requires: 	glib-devel
Requires: 	gtk2+-devel
Requires: 	GConf-devel
Requires: 	gnome-vfs-devel
Requires: 	libgnomeui-devel
Requires: 	libgnome-devel
Requires: 	startup-notification-devel
Requires: 	pkg-config

%description devel
Libraries and header files for the GNOME-internal private library 
libgnomedesktop

%post
ldconfig

%postun
ldconfig

%prep
%setup -q
%patch1 -p1 -b .kdetheme
#%patch2 -p1 -b .add-randr-12
#%patch4 -p1 -b .multires

%build

%configure --sysconfdir=%_sysconfdir/gnome --localstatedir=/var/lib --with-gnome-distributor="CCux Linux" --disable-scrollkeeper
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# stuff we don't want
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%find_lang %{po_package}

%files -f %{po_package}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/applications/gnome-about.desktop
%{_datadir}/gnome-about
%{_datadir}/gnome/help/fdl
#%{_datadir}/gnome/help/gnome-feedback
%{_datadir}/gnome/help/gpl
%{_datadir}/gnome/help/lgpl
%{_datadir}/pixmaps/*
%{_datadir}/man/man*/*
%{_datadir}/omf/*
%{_libdir}/lib*.so.*
%{_bindir}/*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc/html/gnome-desktop/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-2
- patch removal
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Wed Jan 09 2008 Christian Metzen <metzench@ccux-linux.de> 2.20.3-1
- Version update
* Wed Nov 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.2-1
- Version update
* Tue Oct 15 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.1-1
- Version update
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Mon Dec 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.2-1
- Version update
* Mon Nov 20 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.2-1
- Version update
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-4
- readded patches and missing files
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-2
- rebuild, moved libexec
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update, moved prefix
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-1
- Version Update
* Sat Mar 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.13.91-2
- moved all files to /opt/gnome, added manfile
* Tue Feb 28 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.91-1
- Initial Release
